> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fireworks.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reservations

> Lists reservations for an account.



## OpenAPI

````yaml get /v1/accounts/{account_id}/reservations
openapi: 3.1.0
info:
  title: Gateway REST API
  version: 5.10.0
servers:
  - url: https://api.fireworks.ai
security:
  - BearerAuth: []
tags:
  - name: AccountService
  - name: DeploymentService
  - name: Gateway
  - name: ModelService
  - name: TrainingService
paths:
  /v1/accounts/{account_id}/reservations:
    get:
      tags:
        - Gateway
      summary: List Reservations
      description: Lists reservations for an account.
      operationId: Gateway_ListReservations
      parameters:
        - name: pageSize
          description: >-
            The maximum number of reservations to return. The maximum page_size
            is 200,

            values above 200 will be coerced to 200.

            If unspecified, the default is 50.
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: pageToken
          description: >-
            A page token, received from a previous ListReservations call.
            Provide this

            to retrieve the subsequent page. When paginating, all other
            parameters

            provided to ListReservations must match the call that provided the
            page

            token.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >-
            Only reservations satisfying the provided filter (if specified) will
            be

            returned. See https://google.aip.dev/160 for the filter grammar.
          in: query
          required: false
          schema:
            type: string
        - name: orderBy
          description: >-
            A comma-separated list of fields to order by. e.g. "foo,bar"

            The default sort order is ascending. To specify a descending order
            for a

            field, append a " desc" suffix. e.g. "foo desc,bar"

            Subfields are specified with a "." character. e.g. "foo.bar"

            If not specified, the default order is by "start_time".
          in: query
          required: false
          schema:
            type: string
        - name: readMask
          description: >-
            The fields to be returned in the response. If empty or "*", all
            fields will be returned.
          in: query
          required: false
          schema:
            type: string
        - name: account_id
          in: path
          required: true
          description: The Account Id
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/gatewayListReservationsResponse'
components:
  schemas:
    gatewayListReservationsResponse:
      type: object
      properties:
        reservations:
          type: array
          items:
            $ref: '#/components/schemas/gatewayReservation'
            type: object
        nextPageToken:
          type: string
          description: >-
            A token, which can be sent as `page_token` to retrieve the next
            page.

            If this field is omitted, there are no subsequent pages.
        totalSize:
          type: integer
          format: int32
          description: The total number of reservations.
    gatewayReservation:
      type: object
      properties:
        name:
          type: string
          description: >-
            The resource name of the reservation, e.g.
            "accounts/my-account/reservations/abcdef".
          readOnly: true
        displayName:
          type: string
          description: >-
            Human-readable display name of the reservation. e.g. "My
            Reservation"

            Must be fewer than 64 characters long.
        description:
          type: string
          description: Description of the reservation.
        createTime:
          type: string
          format: date-time
          description: The creation time of the reservation.
          readOnly: true
        createdBy:
          type: string
          description: The email address of the user who created this reservation.
          readOnly: true
        region:
          $ref: '#/components/schemas/gatewayRegion'
          description: The region for this reservation.
        multiRegion:
          $ref: '#/components/schemas/gatewayMultiRegion'
          description: The multi-region for this reservation.
        acceleratorType:
          $ref: '#/components/schemas/gatewayAcceleratorType'
          description: The type of accelerator for this reservation.
        reservedCount:
          type: integer
          format: int32
          description: The number of accelerators reserved.
        startTime:
          type: string
          format: date-time
          description: The timestamp at which the reservation starts (inclusive).
        endTime:
          type: string
          format: date-time
          description: The timestamp at which the reservation ends (exclusive).
        updateTime:
          type: string
          format: date-time
          description: The update time for the reservation.
          readOnly: true
        state:
          $ref: '#/components/schemas/gatewayReservationState'
          readOnly: true
        targetedConsumption:
          type: boolean
          description: Reserved for future use. Currently has no effect.
      required:
        - acceleratorType
        - reservedCount
    gatewayRegion:
      type: string
      enum:
        - REGION_UNSPECIFIED
        - US_IOWA_1
        - US_VIRGINIA_1
        - US_VIRGINIA_2
        - US_ILLINOIS_1
        - AP_TOKYO_1
        - US_ARIZONA_1
        - US_TEXAS_1
        - US_ILLINOIS_2
        - EU_FRANKFURT_1
        - US_TEXAS_2
        - EU_ICELAND_1
        - EU_ICELAND_2
        - US_WASHINGTON_1
        - US_WASHINGTON_2
        - US_WASHINGTON_3
        - AP_TOKYO_2
        - US_CALIFORNIA_1
        - US_UTAH_1
        - US_ARIZONA_3
        - US_GEORGIA_1
        - US_GEORGIA_2
        - US_WASHINGTON_4
        - US_GEORGIA_3
        - NA_BRITISHCOLUMBIA_1
        - US_GEORGIA_4
        - US_OHIO_1
        - US_NEWYORK_1
        - EU_NETHERLANDS_1
        - US_WASHINGTON_5
        - US_MINNESOTA_1
        - US_CALIFORNIA_2
        - NA_BRITISHCOLUMBIA_2
        - AP_MALAYSIA_2
        - US_OREGON_1
        - NA_BRITISHCOLUMBIA_3
        - AP_NEWSOUTHWALES_1
        - AP_TAIWAN_1
      default: REGION_UNSPECIFIED
    gatewayMultiRegion:
      type: string
      enum:
        - MULTI_REGION_UNSPECIFIED
        - GLOBAL
        - US
        - CANADA
        - EUROPE
        - APAC
      default: MULTI_REGION_UNSPECIFIED
    gatewayAcceleratorType:
      type: string
      enum:
        - ACCELERATOR_TYPE_UNSPECIFIED
        - NVIDIA_A100_80GB
        - NVIDIA_H100_80GB
        - AMD_MI300X_192GB
        - NVIDIA_A10G_24GB
        - NVIDIA_A100_40GB
        - NVIDIA_L4_24GB
        - NVIDIA_H200_141GB
        - NVIDIA_B200_180GB
        - AMD_MI325X_256GB
        - AMD_MI350X_288GB
        - NVIDIA_B300_288GB
        - NVIDIA_GB200
        - NVIDIA_GB300
      default: ACCELERATOR_TYPE_UNSPECIFIED
    gatewayReservationState:
      type: string
      enum:
        - STATE_UNSPECIFIED
        - ACTIVE
        - EXPIRED
        - DELETING
        - DELETED
        - UPDATING
      default: STATE_UNSPECIFIED
      description: |-
        The lifecycle state of the reservation.


         - ACTIVE: The reservation's capacity is available.
         - EXPIRED: The reservation has ended.
         - DELETING: The reservation is being deleted.
         - DELETED: The reservation has been deleted.
         - UPDATING: The reservation's capacity is being provisioned or updated.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication using your Fireworks API key. Format: Bearer
        <API_KEY>
      bearerFormat: API_KEY

````